# QTreeView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemView.

### Constructor

- void QTreeView(QWidget parent)

### Constructor Properties

- prototype: The QTreeView prototype object

### Prototype Object Properties

The QTreeView prototype object inherits properties from the QAbstractItemView prototype object and also has the following properties.

- int columnAt(int x)
- int columnViewportPosition(int column)
- int columnWidth(int column)
- QHeaderView header()
- QModelIndex indexAbove(QModelIndex index)
- QModelIndex indexBelow(QModelIndex index)
- bool isColumnHidden(int column)
- bool isExpanded(QModelIndex index)
- bool isFirstColumnSpanned(int row, QModelIndex parent)
- bool isRowHidden(int row, QModelIndex parent)
- void setColumnHidden(int column, bool hide)
- void setColumnWidth(int column, int width)
- void setExpanded(QModelIndex index, bool expand)
- void setFirstColumnSpanned(int row, QModelIndex parent, bool span)
- void setHeader(QHeaderView header)
- void setRowHidden(int row, QModelIndex parent, bool hide)
- void sortByColumn(int column, SortOrder order)

### Instance Properties

QTreeView objects inherit properties from the QTreeView prototype object and also have the following properties.

- autoExpandDelay
- indentation
- rootIsDecorated
- uniformRowHeights
- itemsExpandable
- sortingEnabled
- animated
- allColumnsShowFocus
- wordWrap
- headerHidden
- expandsOnDoubleClick